Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSPresenceAccessControlList Class Reference

The class encapsulates presence access control list related features available to the user. More...

`#import <CSPresenceAccessControlList.h>`

Inherits NSObject.

## Instance Methods
(void) | - allowPresenceWatcher:completionHandler:
| Used to allow either a pending or a previously blocked presence tracking request. More...
(void) | - blockPresenceWatcher:completionHandler:
| Used to block either a pending or a previously allow presence tracking request. More...

## Properties
id< CSPresenceWatcherRequestDelegate > | presenceWatcherRequestDelegate
| The delegate responsible for handling events related to requests from other users in the system when CSPresenceACLPolicy is configured to CSPresenceACLPolicyConfirm and remote user requests to track local user's presence. More...
id< CSPresenceAccessControlDelegate > | presenceAccessControlDelegate
| The delegate responsible for handling events related to initial state and subsequent updates for the default CSPresenceACLPolicy and the list of users either allowed to track local user's presence, or blocked from tracking local user's presence. More...
NSArray * | allowedPresenceWatchers
| List of users allowed to track local user's presence. More...
NSArray * | blockedPresenceWatchers
| List of users who are not allowed to track local user's presence. More...
CSPresenceACLPolicy | presenceACLPolicy
| Current CSPresenceACLPolicy . More...

## Detailed Description

The class encapsulates presence access control list related features available to the user.

Access Control List (ACL) tracks local user's decisions regarding allowing or denying permission to other users who want to track the local user's presence. Remote users are added to the list when local user allows or blocks incoming presence watcher requests in the case of configured CSPresenceACLPolicyConfirm policy. Local user is not able to delete presence watcher from access control list, but it is possible to change rules for remote watchers.

## Method Documentation

- (void) allowPresenceWatcher: |  | (CSPresenceWatcher *) | presenceWatcher
completionHandler: |  | (void(^)(NSError *error)) | completionHandler

Used to allow either a pending or a previously blocked presence tracking request.

Parameters

  presenceWatcher | Remote user who will be allowed to track local user's presence.
  completionHandler | A completion handler to call when the operation has completed.

- (void) blockPresenceWatcher: |  | (CSPresenceWatcher *) | presenceWatcher
completionHandler: |  | (void(^)(NSError *error)) | completionHandler

Used to block either a pending or a previously allow presence tracking request.

Parameters

  presenceWatcher | Remote user who will not be allowed to track local user's presence.
  completionHandler | A completion handler to call when the operation has completed.

## Property Documentation

- (NSArray*) allowedPresenceWatchers
| read nonatomic assign

List of users allowed to track local user's presence.

nil is returned until CSPresenceAccessControlDelegate is assigned. In order to receive a list of allowed presence watchers assign delegate first and wait for delegate's events.

- (NSArray*) blockedPresenceWatchers
| read nonatomic assign

List of users who are not allowed to track local user's presence.

nil is returned until CSPresenceAccessControlDelegate is assigned. In order to receive a list of allowed presence watchers assign delegate first and wait for delegate's events.

- (id<CSPresenceAccessControlDelegate>) presenceAccessControlDelegate
| read write nonatomic weak

The delegate responsible for handling events related to initial state and subsequent updates for the default CSPresenceACLPolicy and the list of users either allowed to track local user's presence, or blocked from tracking local user's presence.

- (CSPresenceACLPolicy) presenceACLPolicy
| read nonatomic assign

Current CSPresenceACLPolicy .

CSPresenceACLPolicyUndefined is returned until the information is retrieved from the network. Will return CSPresenceACLPolicyBlock in the case if CSPresenceACLPolicyConfirm is configured with current Presence Server implementation.

- (id<CSPresenceWatcherRequestDelegate>) presenceWatcherRequestDelegate
| read write nonatomic weak

The delegate responsible for handling events related to requests from other users in the system when CSPresenceACLPolicy is configured to CSPresenceACLPolicyConfirm and remote user requests to track local user's presence.

The documentation for this class was generated from the following file:

- CSPresenceAccessControlList.h